# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "surge-ping"
version = "0.1.5"
authors = ["kolapapa <milk346512016@gmail.com>"]
description = "Asynchronous ICMP ping library"
keywords = ["tokio", "icmp", "ping"]
categories = ["network-programming", "asynchronous"]
license = "MIT"
repository = "https://github.com/kolapapa/surge-ping"

[[example]]
name = "simple"

[[example]]
name = "cmd"

[[example]]
name = "multi_ping"
[dependencies.log]
version = "0.4.11"

[dependencies.packet]
version = "0.1.4"

[dependencies.parking_lot]
version = "0.11.1"

[dependencies.rand]
version = "0.8.0"

[dependencies.socket2]
version = "0.3.19"

[dependencies.thiserror]
version = "1.0.23"

[dependencies.tokio]
version = "1.0.1"
features = ["time", "macros"]
[dev-dependencies.log]
version = "0.4"

[dev-dependencies.pretty_env_logger]
version = "0.4"

[dev-dependencies.structopt]
version = "0.3"

[dev-dependencies.tokio]
version = "1.0"
features = ["full"]
